--------------------------------------------------------
-- Adder - Substractor (Basic Cell of NR)
--------------------------------------------------------

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;
use work.mypackage.all;

entity s_r is
    port (
        op_a: in STD_LOGIC_VECTOR (NBITS downto 0);
        op_m: in STD_LOGIC_VECTOR (NBITS downto 0);
        sr: in STD_LOGIC;
        sal: out STD_LOGIC_VECTOR (NBITS downto 0)
     );
end s_r;

architecture s_r_cel_arch of s_r is

begin

sumador_restador: process (sr,op_a,op_m)
begin
     if sr = '1' then
      sal <= op_a + op_m;
     else
      sal <= op_a - op_m;
     end if; 
end process;

end s_r_cel_arch;


